// This file is generated by kconfig_compiler from freespacenotifier.kcfg.
// All changes you do to this file will be lost.
#ifndef FREESPACENOTIFIERSETTINGS_H
#define FREESPACENOTIFIERSETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class FreeSpaceNotifierSettings : public KConfigSkeleton
{
  public:

    static FreeSpaceNotifierSettings *self();
    ~FreeSpaceNotifierSettings();

    /**
      Set Minimum free space before user starts being notified.
    */
    static
    void setMinimumSpace( int v )
    {
      if (v < 1)
      {
        kDebug() << "setMinimumSpace: value " << v << " is less than the minimum value of 1";
        v = 1;
      }

      if (v > 100000)
      {
        kDebug() << "setMinimumSpace: value " << v << " is greater than the maximum value of 100000";
        v = 100000;
      }

      if (!self()->isImmutable( QString::fromLatin1( "minimumSpace" ) ))
        self()->mMinimumSpace = v;
    }

    /**
      Get Minimum free space before user starts being notified.
    */
    static
    int minimumSpace()
    {
      return self()->mMinimumSpace;
    }

    /**
      Set Is the free space notification enabled.
    */
    static
    void setEnableNotification( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "enableNotification" ) ))
        self()->mEnableNotification = v;
    }

    /**
      Get Is the free space notification enabled.
    */
    static
    bool enableNotification()
    {
      return self()->mEnableNotification;
    }

  protected:
    FreeSpaceNotifierSettings();
    friend class FreeSpaceNotifierSettingsHelper;


    // General
    int mMinimumSpace;
    bool mEnableNotification;

  private:
};

#endif

